> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verbex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Prompt

> Generate a prompt based on the provided instruction and context.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/prompt-generation/prompt/generate
openapi: 3.1.0
info:
  title: Verbex Platform API
  description: API for managing AI agents, calls, phone numbers, and more.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/prompt-generation/prompt/generate:
    post:
      tags:
        - Prompt Generation
        - Prompt Generation
      summary: Generate Prompt
      description: Generate a prompt based on the provided instruction and context.
      operationId: generate_prompt_v1_prompt_generation_prompt_generate_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PromptGenerationRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromptGenerationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PromptGenerationRequest:
      properties:
        raw_prompt:
          type: string
          title: Raw Prompt
          description: The raw prompt to generate a prompt from
        instructions:
          type: string
          title: Instructions
          description: Optional instructions for prompt generation
          default: ''
      type: object
      required:
        - raw_prompt
      title: PromptGenerationRequest
    PromptGenerationResponse:
      properties:
        user_id:
          type: string
          title: User Id
          description: Unique identifier for the user
        prompt_id:
          type: string
          title: Prompt Id
          description: Unique identifier for the generated prompt
        prompt:
          type: string
          title: Prompt
          description: The generated prompt
      type: object
      required:
        - user_id
        - prompt_id
        - prompt
      title: PromptGenerationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````